import Vue from "vue";
import * as common from "schema-based-json-editor";
export * from "schema-based-json-editor";
import { MarkdownItType, HLJS } from "schema-based-json-editor/dist/libs";
export declare class JSONEditor extends Vue {
    theme: string;
    locale: common.Locale;
    icon: string;
    markdownit: MarkdownItType;
    hljs: HLJS;
    forceHttps: boolean;
    themeObject: {
        rowContainer: string;
        row: string;
        formControl: string;
        button: string;
        help: string;
        errorRow: string;
        label: string;
        optionalCheckbox: string;
        buttonGroup: string;
        radiobox: string;
    };
    localeObject: common.Locale;
    iconObject: common.Icon;
    md: any;
    constructor();
    updateValue(value: common.ValueType): void;
}
